## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
After 10 years juggling with os.path, zipfile & Co. I thought it is time to
bring back more pythonic to APIs. It is made with the philosophy that API's
should be intuitive and their defaults should at least cover 80% of what
programmer daily needs. Started with the semantic file system pathes, it grows
continuous and includes more and more handy stuff for the daily python
scripting.}

Name:           python-fspath
Version:        20230629
Release:        %{autorelease}
Summary:        Handling path names and executables more comfortable


License:        AGPL-3.0-or-later
URL:            http://return42.github.io/fspath
Source:         %{pypi_source fspath}

BuildArch:      noarch

%description %_description

%package -n python3-fspath
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-fspath %_description

%prep
%autosetup -n fspath-%{version}

# remove shebangs
for f in fspath/{cli,debug,os_env}.py
do
    sed -i '1d' "$f"
done

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l fspath

%check
# tries to download the zip and then do stuff on the zip
export TEST_TEMPDIR=$RPM_BUILD_ROOT/%{_tmppath}
%pytest tests -k "not test_download and not test_ZIP"

%files -n python3-fspath -f %{pyproject_files}
%doc README.rst
%{_bindir}/fspath
%{_bindir}/which.py

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 20230629-9
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20230629-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230629-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 20230629-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230629-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230629-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 20230629-3
- Assert that a license file is present in the .dist-info directory

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230629-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 20230629-1
- Update to 20230629
- Drop BR on python3-zombie-imp, no longer required

* Wed Jun 28 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20230218-5
- fix(py3.12): use python3-zombie-imp to fix build

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 20230218-4
- Rebuilt for Python 3.12

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20230218-3
- feat: check in sources (fixes rhbz#2165669)

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20230218-2
- update as per review
- add readme
- use latest pypi release
- update tests

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20230218-1
- fix: update as per review comments
- use latest version
- update license to new license
- replace non-ascii character

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-3
- chore: add note about license change

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-2
- feat: ready for review

* Mon Mar 20 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-1
- init
## END: Generated by rpmautospec
